# svn_client_commit_item3_t Struct Reference
[Client commit subsystem]

The commit candidate structure. More...

`#include <svn_client.h>`

## Data Fields
const char * | path
| absolute working-copy path of item
svn_node_kind_t | kind
| node kind (dir, file)
const char * | url
| commit URL for this item
svn_revnum_t | revision
| revision of textbase
const char * | copyfrom_url
| copyfrom-url or NULL if not a copied item
svn_revnum_t | copyfrom_rev
| copyfrom-rev, valid when copyfrom_url != NULL
apr_byte_t | state_flags
| state flags
apr_array_header_t * | incoming_prop_changes
| An array of svn_prop_t *'s, which are incoming changes from the repository to WC properties.
apr_array_header_t * | outgoing_prop_changes
| An array of svn_prop_t *'s, which are outgoing changes to make to properties in the repository.
const char * | session_relpath
| When processing the commit this contains the relative path for the commit session.

## Detailed Description

The commit candidate structure.

In order to avoid backwards compatibility problems clients should use svn_client_commit_item3_create() to allocate and initialize this structure instead of doing so themselves.

Since:
  New in 1.5.

Definition at line 426 of file svn_client.h.

## Field Documentation

apr_array_header_t* svn_client_commit_item3_t::incoming_prop_changes

An array of svn_prop_t *'s, which are incoming changes from the repository to WC properties.

These changes are applied post-commit.

When adding to this array, allocate the svn_prop_t and its contents in `incoming_prop_changes->pool`, so that it has the same lifetime as this data structure.

See http://subversion.tigris.org/issues/show_bug.cgi?id=806 for a description of what would happen if the post-commit process didn't group these changes together with all other changes to the item.

Definition at line 464 of file svn_client.h.

apr_array_header_t* svn_client_commit_item3_t::outgoing_prop_changes

An array of svn_prop_t *'s, which are outgoing changes to make to properties in the repository.

These extra property changes are declared pre-commit, and applied to the repository as part of a commit.

When adding to this array, allocate the svn_prop_t and its contents in `outgoing_prop_changes->pool`, so that it has the same lifetime as this data structure.

Definition at line 475 of file svn_client.h.

const char* svn_client_commit_item3_t::session_relpath

When processing the commit this contains the relative path for the commit session.

NULL until the commit item is preprocessed.

Definition at line 481 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines